HomeGuidesAPI ReferenceChangelog
GuidesAPI ReferenceGitHubAirheads Developer CommunityLog In
API Reference

Set appliance's system limits configuration.

Even though you could get system limits for all appliance models, but you will only be able to POST to portal licensed models

Recent Requests
Log in to see full request history
TimeStatusUser Agent
Retrieving recent requests…
LoadingLoading…
Body Params

JSON object containing system configuration data.

cifsFlows
object

Set the maximum number of CIFS v1 flows this appliance will handle. Valid values are only those listed in steps scale property from GET /sysLimits/cifsFlows

boolean

Permanently lock system limits configuration by setting this property to true. And as implied by 'permanently', you will not be able to set it back to false

nmSize
object

Set the minimum network memory size (in MB) to be allocated by this appliance. Values can range from 1 to 131072 (MB)

requiredMemSize
object

Set the required memory size for system limits configuration. This should be calculated by sum up all the system limits parameters' required memory size, with exception of systemBw which bears no weight in required memory size. For flow related limits, the memory requirement can be found in the steps size property of a selected steps scale.

sslFlows
object

Set the maximum number of SSL flows this appliance will handle. Valid values are only those listed in steps scale property from GET /sysLimits/sslFlows

systemBw
object

Set the maximum value a user is allowed to set the system maximum bandwith to. Valid values are from 4000 to 1000000 (Kbps)

totalFlows
object

Set the maximum number of flows this appliance will handle. Valid values are only those listed in steps scale property from GET /sysLimits/totalFlows

tunnels
object

Set the maximum number of tunnels this appliance will handle. Valid values are only those listed in steps scale property from GET /sysLimits/tunnels

Response
200

No response

Language
LoadingLoading…
Response
Click Try It! to start a request and see the response here!